Condition Variables
Concurrency
Collaboration diagram for Condition Variables:

## Classes

class | std::condition_variable

## Enumerations

enum class | std::cv_status { no_timeout , timeout }

## Functions

void | std::notify_all_at_thread_exit (condition_variable &, unique_lock< mutex >)

## Detailed Description

Classes for condition_variable support.

## Enumeration Type Documentation

## cv_status

enum std::cv_status

strong

cv_status

Definition at line 63 of file condition_variable.